#include <iostream>
#include <algorithm>
#include <cmath>
using namespace std;
int main(){
    string a,b,c;
    cin >> a >> b >> c;

    string p1=a+b+c;
    string p2=a+c+b;
    string p3=b+c+a;
    string p4=b+a+c;
    string p5=c+a+b;
    string p6=c+b+a;


    string q=max(p1,p2);
    string q1=max(q,p3);
    string q2=max(q1,p4);
    string q3=max(q2,p5);
    string q4=max(q3,p6);

    cout << q4;






    return 0;
}